Rotate webhook signing secret
Generates a new signing secret for the webhook endpoint. The previous secret is immediately invalidated.
POST
/
v1
/
webhook-endpoints
/
{endpoint_id}
/
rotate-secret
Rotate webhook signing secret
curl --request POST \
--url https://api.us.poly.ai/v1/webhook-endpoints/{endpoint_id}/rotate-secret \
--header 'x-api-key: <api-key>'import requests
url = "https://api.us.poly.ai/v1/webhook-endpoints/{endpoint_id}/rotate-secret"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.us.poly.ai/v1/webhook-endpoints/{endpoint_id}/rotate-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signing_secret": "<string>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}Authorizations
Path Parameters
The endpoint_id must be a prefixed ID (e.g. whe_9ZtRcXw3nByK5pVqMaEfJs).
Pattern:
^whe_[A-Za-z0-9]+$Example:
"whe_9ZtRcXw3nByK5pVqMaEfJs"
Response
Signing secret rotated successfully.
The new signing secret. Store it securely — it cannot be retrieved again.
Last modified on March 19, 2026
Was this page helpful?
Previous
OverviewTrigger outbound calls and monitor status for customer outreach, reminders, and notifications.
Next
⌘I
Rotate webhook signing secret

